## ChamplainPoint ChamplainPoint — A simple point to mark a coordinate |

## Functions

ClutterActor * | champlain_point_new ()
ClutterActor * | champlain_point_new_full ()
void | champlain_point_set_color ()
ClutterColor * | champlain_point_get_color ()
void | champlain_point_set_size ()
gdouble | champlain_point_get_size ()

## Properties

ClutterColor * | color | Read / Write
gdouble | size | Read / Write

## Types and Values

struct | ChamplainPoint

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── ChamplainMarker
                    ╰── ChamplainPoint

## Implemented Interfaces

ChamplainPoint implements ClutterContainer, ClutterScriptable, ClutterAnimatable, AtkImplementorIface, ChamplainLocation and ChamplainExportable.

## Description

ChamplainPoint is a simple variant of ChamplainMarker. Contrary to ChamplainLabel, it is not capable of labelling the point with text and only shows the location of the point as a circle on the map.

## Functions

### champlain_point_new ()

    ClutterActor *
    champlain_point_new (void);

Creates an instance of ChamplainPoint with default size and color.

#### Returns

a new ChamplainPoint.

Since: 0.10

### champlain_point_new_full ()

    ClutterActor *
    champlain_point_new_full (gdouble size,
                              const ClutterColor *color);

Creates an instance of ChamplainPoint with the specified size and color.

#### Parameters

size | Marker size |
color | Marker color |

#### Returns

a new ChamplainPoint.

Since: 0.10

### champlain_point_set_color ()

    void
    champlain_point_set_color (ChamplainPoint *point,
                               const ClutterColor *color);

Set the color of the point.

#### Parameters

point | a ChamplainPoint |
color | The color of the point or NULL to reset the background to the default color. The color parameter is copied. | [allow-none]

Since: 0.10

### champlain_point_get_color ()

    ClutterColor *
    champlain_point_get_color (ChamplainPoint *point);

Gets the color of the point.

#### Parameters

point | a ChamplainPoint |

#### Returns

the color.

Since: 0.10

### champlain_point_set_size ()

    void
    champlain_point_set_size (ChamplainPoint *point,
                              gdouble size);

Set the size of the point.

#### Parameters

point | a ChamplainPoint |
size | The size of the point. |

Since: 0.10

### champlain_point_get_size ()

    gdouble
    champlain_point_get_size (ChamplainPoint *point);

Gets the size of the point.

#### Parameters

point | a ChamplainPoint |

#### Returns

the size.

Since: 0.10

## Types and Values

### struct ChamplainPoint

    struct ChamplainPoint;

The ChamplainPoint structure contains only private data and should be accessed using the provided API

Since: 0.10

## Property Details

### The `“color”` property

      “color”                    ClutterColor *

The point's color.

Flags: Read / Write

### The `“size”` property

      “size”                     gdouble

The point size.

Flags: Read / Write

Allowed values: >= 0

Default value: 12